Name:           python-dycw-utilities
Version:        0.98.32
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        ...

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            ...
Source:         %{pypi_source dycw_utilities}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'dycw-utilities' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-dycw-utilities
Summary:        %{summary}

%description -n python3-dycw-utilities %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-dycw-utilities test,zzz-test-altair,zzz-test-astor,zzz-test-asyncio,zzz-test-atomicwrites,zzz-test-atools,zzz-test-cachetools,zzz-test-click,zzz-test-contextlib,zzz-test-contextvars,zzz-test-cryptography,zzz-test-cvxpy,zzz-test-dataclasses,zzz-test-datetime,zzz-test-enum,zzz-test-errors,zzz-test-eventkit,zzz-test-fastapi,zzz-test-fpdf2,zzz-test-functions,zzz-test-functools,zzz-test-getpass,zzz-test-git,zzz-test-hashlib,zzz-test-http,zzz-test-hypothesis,zzz-test-ipython,zzz-test-iterables,zzz-test-jupyter,zzz-test-logging,zzz-test-loguru,zzz-test-luigi,zzz-test-math,zzz-test-memory-profiler,zzz-test-modules,zzz-test-more-itertools,zzz-test-numpy,zzz-test-operator,zzz-test-optuna,zzz-test-orjson,zzz-test-os,zzz-test-pathlib,zzz-test-pickle,zzz-test-platform,zzz-test-polars,zzz-test-pqdm,zzz-test-pydantic,zzz-test-pyinstrument,zzz-test-pyrsistent,zzz-test-pytest,zzz-test-pytest-regressions,zzz-test-python-dotenv,zzz-test-random,zzz-test-re,zzz-test-redis,zzz-test-rich,zzz-test-scipy,zzz-test-sentinel,zzz-test-shelve,zzz-test-slack-sdk,zzz-test-socket,zzz-test-sqlalchemy,zzz-test-sqlalchemy-polars,zzz-test-streamlit,zzz-test-sys,zzz-test-tempfile,zzz-test-tenacity,zzz-test-text,zzz-test-threading,zzz-test-timer,zzz-test-traceback,zzz-test-types,zzz-test-typing,zzz-test-tzlocal,zzz-test-uuid,zzz-test-version,zzz-test-warnings,zzz-test-whenever,zzz-test-zipfile,zzz-test-zoneinfo


%prep
%autosetup -p1 -n dycw_utilities-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x test,zzz-test-altair,zzz-test-astor,zzz-test-asyncio,zzz-test-atomicwrites,zzz-test-atools,zzz-test-cachetools,zzz-test-click,zzz-test-contextlib,zzz-test-contextvars,zzz-test-cryptography,zzz-test-cvxpy,zzz-test-dataclasses,zzz-test-datetime,zzz-test-enum,zzz-test-errors,zzz-test-eventkit,zzz-test-fastapi,zzz-test-fpdf2,zzz-test-functions,zzz-test-functools,zzz-test-getpass,zzz-test-git,zzz-test-hashlib,zzz-test-http,zzz-test-hypothesis,zzz-test-ipython,zzz-test-iterables,zzz-test-jupyter,zzz-test-logging,zzz-test-loguru,zzz-test-luigi,zzz-test-math,zzz-test-memory-profiler,zzz-test-modules,zzz-test-more-itertools,zzz-test-numpy,zzz-test-operator,zzz-test-optuna,zzz-test-orjson,zzz-test-os,zzz-test-pathlib,zzz-test-pickle,zzz-test-platform,zzz-test-polars,zzz-test-pqdm,zzz-test-pydantic,zzz-test-pyinstrument,zzz-test-pyrsistent,zzz-test-pytest,zzz-test-pytest-regressions,zzz-test-python-dotenv,zzz-test-random,zzz-test-re,zzz-test-redis,zzz-test-rich,zzz-test-scipy,zzz-test-sentinel,zzz-test-shelve,zzz-test-slack-sdk,zzz-test-socket,zzz-test-sqlalchemy,zzz-test-sqlalchemy-polars,zzz-test-streamlit,zzz-test-sys,zzz-test-tempfile,zzz-test-tenacity,zzz-test-text,zzz-test-threading,zzz-test-timer,zzz-test-traceback,zzz-test-types,zzz-test-typing,zzz-test-tzlocal,zzz-test-uuid,zzz-test-version,zzz-test-warnings,zzz-test-whenever,zzz-test-zipfile,zzz-test-zoneinfo


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-dycw-utilities -f %{pyproject_files}


%changelog
%autochangelog